Package com.emc.d2fs.services.preference_service

# Class ObjectFactory

java.lang.Object
com.emc.d2fs.services.preference_service.ObjectFactory

public class ObjectFactory extends Object
This object contains factory methods for each Java content interface and Java element interface generated in the com.emc.d2fs.services.preference_service package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectFactory()`
  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.preference_service

- ## Method Summary

  Modifier and Type
  Method
  Description
  `GetColumnPreferencesRequest`
  `createGetColumnPreferencesRequest()`
  Create an instance of `GetColumnPreferencesRequest`
  `GetColumnPreferencesResponse`
  `createGetColumnPreferencesResponse()`
  Create an instance of `GetColumnPreferencesResponse`
  `GetColumnSelectSettingRequest`
  `createGetColumnSelectSettingRequest()`
  Create an instance of `GetColumnSelectSettingRequest`
  `GetColumnSelectSettingResponse`
  `createGetColumnSelectSettingResponse()`
  Create an instance of `GetColumnSelectSettingResponse`
  `GetColumnSrcSettingRequest`
  `createGetColumnSrcSettingRequest()`
  Create an instance of `GetColumnSrcSettingRequest`
  `GetColumnSrcSettingResponse`
  `createGetColumnSrcSettingResponse()`
  Create an instance of `GetColumnSrcSettingResponse`
  `GetColumnTypeSettingRequest`
  `createGetColumnTypeSettingRequest()`
  Create an instance of `GetColumnTypeSettingRequest`
  `GetColumnTypeSettingResponse`
  `createGetColumnTypeSettingResponse()`
  Create an instance of `GetColumnTypeSettingResponse`
  `GetFiltersRequest`
  `createGetFiltersRequest()`
  Create an instance of `GetFiltersRequest`
  `GetFiltersResponse`
  `createGetFiltersResponse()`
  Create an instance of `GetFiltersResponse`
  `GetLanguageRequest`
  `createGetLanguageRequest()`
  Create an instance of `GetLanguageRequest`
  `GetLanguageResponse`
  `createGetLanguageResponse()`
  Create an instance of `GetLanguageResponse`
  `GetPreferenceRequest`
  `createGetPreferenceRequest()`
  Create an instance of `GetPreferenceRequest`
  `GetPreferenceResponse`
  `createGetPreferenceResponse()`
  Create an instance of `GetPreferenceResponse`
  `GetPreferenceWithColumnRequest`
  `createGetPreferenceWithColumnRequest()`
  Create an instance of `GetPreferenceWithColumnRequest`
  `GetPreferenceWithColumnResponse`
  `createGetPreferenceWithColumnResponse()`
  Create an instance of `GetPreferenceWithColumnResponse`
  `GetSearchHighlightEnabledRequest`
  `createGetSearchHighlightEnabledRequest()`
  Create an instance of `GetSearchHighlightEnabledRequest`
  `GetSearchHighlightEnabledResponse`
  `createGetSearchHighlightEnabledResponse()`
  Create an instance of `GetSearchHighlightEnabledResponse`
  `GetSearchSummaryEnabledRequest`
  `createGetSearchSummaryEnabledRequest()`
  Create an instance of `GetSearchSummaryEnabledRequest`
  `GetSearchSummaryEnabledResponse`
  `createGetSearchSummaryEnabledResponse()`
  Create an instance of `GetSearchSummaryEnabledResponse`
  `SetColumnPreferenceRequest`
  `createSetColumnPreferenceRequest()`
  Create an instance of `SetColumnPreferenceRequest`
  `SetColumnPreferenceResponse`
  `createSetColumnPreferenceResponse()`
  Create an instance of `SetColumnPreferenceResponse`
  `SetColumnSelectSettingRequest`
  `createSetColumnSelectSettingRequest()`
  Create an instance of `SetColumnSelectSettingRequest`
  `SetColumnSelectSettingResponse`
  `createSetColumnSelectSettingResponse()`
  Create an instance of `SetColumnSelectSettingResponse`
  `SetFilterActiveRequest`
  `createSetFilterActiveRequest()`
  Create an instance of `SetFilterActiveRequest`
  `SetFilterActiveResponse`
  `createSetFilterActiveResponse()`
  Create an instance of `SetFilterActiveResponse`
  `SetSearchHighlightEnabledRequest`
  `createSetSearchHighlightEnabledRequest()`
  Create an instance of `SetSearchHighlightEnabledRequest`
  `SetSearchHighlightEnabledResponse`
  `createSetSearchHighlightEnabledResponse()`
  Create an instance of `SetSearchHighlightEnabledResponse`
  `SetSearchSummaryEnabledRequest`
  `createSetSearchSummaryEnabledRequest()`
  Create an instance of `SetSearchSummaryEnabledRequest`
  `SetSearchSummaryEnabledResponse`
  `createSetSearchSummaryEnabledResponse()`
  Create an instance of `SetSearchSummaryEnabledResponse`
  `SetTemplateViewPreferenceRequest`
  `createSetTemplateViewPreferenceRequest()`
  Create an instance of `SetTemplateViewPreferenceRequest`
  `SetTemplateViewPreferenceResponse`
  `createSetTemplateViewPreferenceResponse()`
  Create an instance of `SetTemplateViewPreferenceResponse`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ObjectFactory

    public ObjectFactory()
    Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.emc.d2fs.services.preference_service

- ## Method Details

  - ### createGetPreferenceRequest

    public GetPreferenceRequest createGetPreferenceRequest()
    Create an instance of `GetPreferenceRequest`

  - ### createGetPreferenceResponse

    public GetPreferenceResponse createGetPreferenceResponse()
    Create an instance of `GetPreferenceResponse`

  - ### createGetPreferenceWithColumnRequest

    public GetPreferenceWithColumnRequest createGetPreferenceWithColumnRequest()
    Create an instance of `GetPreferenceWithColumnRequest`

  - ### createGetPreferenceWithColumnResponse

    public GetPreferenceWithColumnResponse createGetPreferenceWithColumnResponse()
    Create an instance of `GetPreferenceWithColumnResponse`

  - ### createGetColumnPreferencesRequest

    public GetColumnPreferencesRequest createGetColumnPreferencesRequest()
    Create an instance of `GetColumnPreferencesRequest`

  - ### createGetColumnPreferencesResponse

    public GetColumnPreferencesResponse createGetColumnPreferencesResponse()
    Create an instance of `GetColumnPreferencesResponse`

  - ### createGetColumnTypeSettingRequest

    public GetColumnTypeSettingRequest createGetColumnTypeSettingRequest()
    Create an instance of `GetColumnTypeSettingRequest`

  - ### createGetColumnTypeSettingResponse

    public GetColumnTypeSettingResponse createGetColumnTypeSettingResponse()
    Create an instance of `GetColumnTypeSettingResponse`

  - ### createGetColumnSrcSettingRequest

    public GetColumnSrcSettingRequest createGetColumnSrcSettingRequest()
    Create an instance of `GetColumnSrcSettingRequest`

  - ### createGetColumnSrcSettingResponse

    public GetColumnSrcSettingResponse createGetColumnSrcSettingResponse()
    Create an instance of `GetColumnSrcSettingResponse`

  - ### createGetColumnSelectSettingRequest

    public GetColumnSelectSettingRequest createGetColumnSelectSettingRequest()
    Create an instance of `GetColumnSelectSettingRequest`

  - ### createGetColumnSelectSettingResponse

    public GetColumnSelectSettingResponse createGetColumnSelectSettingResponse()
    Create an instance of `GetColumnSelectSettingResponse`

  - ### createSetColumnSelectSettingRequest

    public SetColumnSelectSettingRequest createSetColumnSelectSettingRequest()
    Create an instance of `SetColumnSelectSettingRequest`

  - ### createSetColumnSelectSettingResponse

    public SetColumnSelectSettingResponse createSetColumnSelectSettingResponse()
    Create an instance of `SetColumnSelectSettingResponse`

  - ### createGetFiltersRequest

    public GetFiltersRequest createGetFiltersRequest()
    Create an instance of `GetFiltersRequest`

  - ### createGetFiltersResponse

    public GetFiltersResponse createGetFiltersResponse()
    Create an instance of `GetFiltersResponse`

  - ### createSetFilterActiveRequest

    public SetFilterActiveRequest createSetFilterActiveRequest()
    Create an instance of `SetFilterActiveRequest`

  - ### createSetFilterActiveResponse

    public SetFilterActiveResponse createSetFilterActiveResponse()
    Create an instance of `SetFilterActiveResponse`

  - ### createSetColumnPreferenceRequest

    public SetColumnPreferenceRequest createSetColumnPreferenceRequest()
    Create an instance of `SetColumnPreferenceRequest`

  - ### createSetColumnPreferenceResponse

    public SetColumnPreferenceResponse createSetColumnPreferenceResponse()
    Create an instance of `SetColumnPreferenceResponse`

  - ### createGetLanguageRequest

    public GetLanguageRequest createGetLanguageRequest()
    Create an instance of `GetLanguageRequest`

  - ### createGetLanguageResponse

    public GetLanguageResponse createGetLanguageResponse()
    Create an instance of `GetLanguageResponse`

  - ### createSetTemplateViewPreferenceRequest

    public SetTemplateViewPreferenceRequest createSetTemplateViewPreferenceRequest()
    Create an instance of `SetTemplateViewPreferenceRequest`

  - ### createSetTemplateViewPreferenceResponse

    public SetTemplateViewPreferenceResponse createSetTemplateViewPreferenceResponse()
    Create an instance of `SetTemplateViewPreferenceResponse`

  - ### createSetSearchHighlightEnabledRequest

    public SetSearchHighlightEnabledRequest createSetSearchHighlightEnabledRequest()
    Create an instance of `SetSearchHighlightEnabledRequest`

  - ### createSetSearchHighlightEnabledResponse

    public SetSearchHighlightEnabledResponse createSetSearchHighlightEnabledResponse()
    Create an instance of `SetSearchHighlightEnabledResponse`

  - ### createGetSearchHighlightEnabledRequest

    public GetSearchHighlightEnabledRequest createGetSearchHighlightEnabledRequest()
    Create an instance of `GetSearchHighlightEnabledRequest`

  - ### createGetSearchHighlightEnabledResponse

    public GetSearchHighlightEnabledResponse createGetSearchHighlightEnabledResponse()
    Create an instance of `GetSearchHighlightEnabledResponse`

  - ### createSetSearchSummaryEnabledRequest

    public SetSearchSummaryEnabledRequest createSetSearchSummaryEnabledRequest()
    Create an instance of `SetSearchSummaryEnabledRequest`

  - ### createSetSearchSummaryEnabledResponse

    public SetSearchSummaryEnabledResponse createSetSearchSummaryEnabledResponse()
    Create an instance of `SetSearchSummaryEnabledResponse`

  - ### createGetSearchSummaryEnabledRequest

    public GetSearchSummaryEnabledRequest createGetSearchSummaryEnabledRequest()
    Create an instance of `GetSearchSummaryEnabledRequest`

  - ### createGetSearchSummaryEnabledResponse

    public GetSearchSummaryEnabledResponse createGetSearchSummaryEnabledResponse()
    Create an instance of `GetSearchSummaryEnabledResponse`